<mat-card>
    <div class="machine-container">
        <div class="machine-production machine--content">Total production: {{machine.PRODUCTION}}</div>
        <div class="temperature machine--content">Temperature:
            <span [ngStyle]='{color: machine.TEMPERATURE[1]}' *ngIf="machine.TEMPERATURE; else checking">
                {{machine.TEMPERATURE[0]}}
            </span>
            <ng-template #checking><span>checking...</span></ng-template>
        </div>
        <div class="machine-percentage machine--content">Scrap percentage: {{machine.SCRAP_PERCENTAGE | percent: '.2' }}
        </div>
        <div class="machine-percentage machine--content">Downtime percentage:
            {{machine.DOWNTIME_PERCENTAGE | percent: '.2' }}</div>
    </div>
    <div class="chart-container" *ngIf="values.length > 0">
        <div class="text--center">
            Production for last 24 hours
        </div>
        <canvas baseChart [datasets]="values" [labels]="labels" [chartType]="chartType" [legend]=legend>
        </canvas>
    </div>

</mat-card>